Notifications

Get job notifications

Retrieve notifications for the authenticated user, filtered by notification names and/or job IDs.

POST
/notifications
AuthorizationBearer <token>

Token-based authentication using access tokens.

In: header

id_task?Id Task

List of batch job IDs to check notifications for.

Defaultnull
name_listName List

Filters for specific notification type. If a single string is given, will be converted to a list.

Response Body

Examples

curl -X POST "https://v2.api.piktid.com/notifications" \
  -H "Content-Type: application/json" \
  -d '{
    "name_list": "string"
  }'
[
  {
    "id": 0,
    "name": "string",
    "timestamp": 0,
    "data": {}
  }
]
{
  "error": "Invalid request",
  "detail": [
    {
      "field": null,
      "message": "string",
      "position": "query"
    }
  ]
}
Empty